NisusWrtTextInternal::DataPLC Struct Reference

Internal: class to store the PLC: Pointer List Content ? More...

## Public Member Functions

| DataPLC ()

## Public Attributes

PLCType | m_type
| PLC type.
int | m_id
| the id
std::string | m_extra
| an extra data to store message ( if needed )

## Friends

std::ostream & | operator<< (std::ostream &o, DataPLC const &plc)
| operator<<

## Detailed Description

Internal: class to store the PLC: Pointer List Content ?

## Constructor & Destructor Documentation

## DataPLC()

NisusWrtTextInternal::DataPLC::DataPLC | ( |  | ) |

inline

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | DataPLC const & | plc )

friend

operator<<

## Member Data Documentation

## m_extra

std::string NisusWrtTextInternal::DataPLC::m_extra

an extra data to store message ( if needed )

Referenced by DataPLC(), and operator<<.

## m_id

int NisusWrtTextInternal::DataPLC::m_id

the id

Referenced by DataPLC(), operator<<, NisusWrtText::readFootnotes(), NisusWrtText::readHeaderFooter(), NisusWrtText::readParagraphs(), NisusWrtText::readPICD(), and NisusWrtText::readPosToFont().

## m_type

PLCType NisusWrtTextInternal::DataPLC::m_type

PLC type.

Referenced by DataPLC(), operator<<, NisusWrtText::readFootnotes(), NisusWrtText::readHeaderFooter(), NisusWrtText::readParagraphs(), NisusWrtText::readPICD(), and NisusWrtText::readPosToFont().

The documentation for this struct was generated from the following file:

- NisusWrtText.cxx